<?php

namespace Cert\Certifications\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Certifications extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('certifications.certifications.fillable');
        $this->uploads = config('certifications.certifications.uploadable');
        $this->uploadRootFolder = config('certifications.certifications.upload_root_folder');
        $this->table = config('certifications.certifications.table');
    }
}
